
<!-- test body with attribute -->

<script src="cache/e82cb0edbf35b6deed33add79f52d905.js" type="text/javascript" attr></script>

<!-- test body without attribute -->

<script src="cache/e82cb0edbf35b6deed33add79f52d905.js" type="text/javascript"></script>

<!-- test single file with extension -->
<!-- js.js -->
<script src="cache/5ba93ab7d363a0c2ee86b10cff1f940d.js" type="text/javascript"></script>

<!-- test single file without extension -->
<!-- js.js -->
<script src="cache/5ba93ab7d363a0c2ee86b10cff1f940d.js" type="text/javascript"></script>

<!-- test multiple files with extensions -->
<!-- js.js, js2.js -->
<script src="cache/ecdd5240efcd2c10c31eb122d5b1bbd1.js" type="text/javascript"></script>

<!-- test multiple files without extensions -->
<!-- js.js, js2.js -->
<script src="cache/ecdd5240efcd2c10c31eb122d5b1bbd1.js" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- js.js, js2.js -->
<script src="cache/ecdd5240efcd2c10c31eb122d5b1bbd1.js" type="text/javascript" attr></script>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- js.js -->
<script src="cache/5ba93ab7d363a0c2ee86b10cff1f940d.js" type="text/javascript" attr></script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript" attr></script>

<!-- test multiple files without attribute -->
<!-- js.js -->
<script src="cache/5ba93ab7d363a0c2ee86b10cff1f940d.js" type="text/javascript"></script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>
